Skip to content

Accept bounded developer-log events emitted explicitly by Workspace UI author code.

POST
/api/workspace/ui-project/runtime/dev-log
curl --request POST \
--url https://example.com/api/workspace/ui-project/runtime/dev-log \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "FormatVersion": 1, "Events": [ { "Level": 0, "EventName": "example", "Message": "example", "Properties": { "additionalProperty": "example" }, "PageKey": "example", "ArtifactId": "example", "ArtifactHash": "example", "HostContractVersion": 1 } ] }'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Bounded batch of Workspace UI author developer-log events.

object
FormatVersion

Request format version.

integer format: int32
Events

Events, limited to ten items.

Array<object>
nullable

One bounded developer-log event emitted by Workspace UI author code.

object
Level
integer format: int32
Allowed values: 0 1 2
EventName

Stable lowercase kebab-case event name.

string
nullable
Message

Bounded human-readable message.

string
nullable
Properties

Optional primitive structured properties.

object
key
additional properties
PageKey

Page key observed by the host SDK.

string
nullable
ArtifactId

Artifact identifier observed by the host SDK.

string
nullable
ArtifactHash

Artifact hash observed by the host SDK.

string
nullable
HostContractVersion

Host contract version observed by the host SDK.

integer format: int32
nullable

OK

Media typeapplication/json
object
Data

Result of best-effort Workspace UI author developer-log ingestion.

object
AcceptedCount

Number of accepted developer-log events.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Result of best-effort Workspace UI author developer-log ingestion.

object
AcceptedCount

Number of accepted developer-log events.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Conflict

Media typeapplication/json
object
Data

Result of best-effort Workspace UI author developer-log ingestion.

object
AcceptedCount

Number of accepted developer-log events.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Too Many Requests

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}